Package org.apache.solr.common.params

# Enum Class CollectionParams.LockLevel

java.lang.Object
java.lang.Enum<CollectionParams.LockLevel>
org.apache.solr.common.params.CollectionParams.LockLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<CollectionParams.LockLevel>`, `java.lang.constant.Constable`

Enclosing interface:
  `CollectionParams`

public static enum CollectionParams.LockLevel extends Enum<CollectionParams.LockLevel>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLUSTER`
`COLLECTION`
`NONE`
`REPLICA`
`SHARD`

## Method Summary

Modifier and Type
Method
Description
`CollectionParams.LockLevel`
`getChild()`
`int`
`getHeight()`
`boolean`
`isHigherOrEqual(CollectionParams.LockLevel that)`
`static CollectionParams.LockLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CollectionParams.LockLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final CollectionParams.LockLevel NONE

### REPLICA

public static final CollectionParams.LockLevel REPLICA

### SHARD

public static final CollectionParams.LockLevel SHARD

### COLLECTION

public static final CollectionParams.LockLevel COLLECTION

### CLUSTER

public static final CollectionParams.LockLevel CLUSTER

## Method Details

### values

public static CollectionParams.LockLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CollectionParams.LockLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getChild

public CollectionParams.LockLevel getChild()

### getHeight

public int getHeight()

### isHigherOrEqual

public boolean isHigherOrEqual(CollectionParams.LockLevel that)